cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Visitor
Visitor
2,796 Views
Registered: ‎03-14-2017

SDSoC + ZCU102

Jump to solution

Hello,

 

I run lab6 of the SDSoC intro tutorial on ZCU102, but I got an error "bitstream is not compatible with the target revision".

Anyone can help me solve this problem.

Additionally, I run lab1 successfully via Standalone not linux.

 

Thanks,

Chase 

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Xilinx Employee
Xilinx Employee
4,499 Views
Registered: ‎08-01-2008

Re: SDSoC + ZCU102

Jump to solution
check the target device of your project and board target device. You may not be able to force ES1 bitstream to ES2. This is the reason you are seeing an error which programming the HW.
2016.3 PetaLinux Supports the ZCU102 board with ES2 silicon and rev 1.0 of the BSP - You can download the BSP from the below link.
https://www.xilinx.com/support/answers/68145.html
Thanks and Regards
Balkrishan
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.

View solution in original post

0 Kudos
5 Replies
Highlighted
Xilinx Employee
Xilinx Employee
4,500 Views
Registered: ‎08-01-2008

Re: SDSoC + ZCU102

Jump to solution
check the target device of your project and board target device. You may not be able to force ES1 bitstream to ES2. This is the reason you are seeing an error which programming the HW.
2016.3 PetaLinux Supports the ZCU102 board with ES2 silicon and rev 1.0 of the BSP - You can download the BSP from the below link.
https://www.xilinx.com/support/answers/68145.html
Thanks and Regards
Balkrishan
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.

View solution in original post

0 Kudos
Highlighted
Visitor
Visitor
2,719 Views
Registered: ‎03-14-2017

Re: SDSoC + ZCU102

Jump to solution

I have updated the SDSoC to 2016.4 and choose the ES2 then the problem solved。

But I still can not boot the linux from SD card, the error shows "firmware registration failed".

 

Thanks again,

Chase

0 Kudos
Highlighted
1,703 Views
Registered: ‎01-12-2017

Re: SDSoC + ZCU102

Jump to solution

I am also getting the error "bitstream is not compatible with the target revision, use -no-revision-check to allow programming.  How do I go about this using SDK?  I am using 2017.2.1.

I have attached a snapshot of the error.

Capture.JPG
0 Kudos
Highlighted
Moderator
Moderator
1,641 Views
Registered: ‎09-12-2007

Re: SDSoC + ZCU102

Jump to solution

Currently there is no way to use this option (-no-revision) in the GUI. You will need to program the PL from the XSCT (Xilinx Tools -> XSCT console)

 

For example:

connect

fpga -no-rev -f system-top.bit

0 Kudos
Highlighted
Participant
Participant
802 Views
Registered: ‎11-21-2018

Re: SDSoC + ZCU102

Jump to solution

Hello

     I use the ZCU102 to do the lab2 in ug1028-sdsoc-intro-tutorial.pdf . There is a error said 'bitstream is not compatible with the target revision, use -no-revision-check to allow programming'. I know the reason is my board is a ES version.  In vivado I know I could print 'set_param com.use_bitstream_version_check false'.But how and where I can use -no-revision-check. I use the SDSoc 2018.2 .

Thanks a lot.